import React from 'react';
import { ExtendedRecordMap } from 'notion-types';
import { MapPageUrl, MapImageUrl, MapAssetUrl, SearchNotion, NotionComponents } from './types';
export interface NotionContext {
    recordMap: ExtendedRecordMap;
    components: NotionComponents;
    mapPageUrl: MapPageUrl;
    mapImageUrl: MapImageUrl;
    mapAssetUrl: MapAssetUrl;
    searchNotion?: SearchNotion;
    rootPageId?: string;
    rootDomain?: string;
    fullPage: boolean;
    darkMode: boolean;
    previewImages: boolean;
    showCollectionViewDropdown: boolean;
    showTableOfContents: boolean;
    minTableOfContentsItems: number;
    defaultPageIcon?: string;
    defaultPageCover?: string;
    defaultPageCoverPosition?: number;
    zoom: any;
    displayPageHeader?: boolean;
}
export interface PartialNotionContext {
    recordMap?: ExtendedRecordMap;
    components?: Partial<NotionComponents>;
    mapPageUrl?: MapPageUrl;
    mapImageUrl?: MapImageUrl;
    mapAssetUrl?: MapAssetUrl;
    searchNotion?: SearchNotion;
    rootPageId?: string;
    rootDomain?: string;
    fullPage?: boolean;
    darkMode?: boolean;
    previewImages?: boolean;
    showCollectionViewDropdown?: boolean;
    showTableOfContents?: boolean;
    minTableOfContentsItems?: number;
    defaultPageIcon?: string;
    defaultPageCover?: string;
    defaultPageCoverPosition?: number;
    zoom?: any;
    displayPageHeader?: boolean;
}
export declare const dummyLink: ({ href, rel, target, title, ...rest }: {
    [x: string]: any;
    href: any;
    rel: any;
    target: any;
    title: any;
}) => JSX.Element;
export declare const NotionContextProvider: React.SFC<PartialNotionContext>;
export declare const NotionContextConsumer: React.Consumer<NotionContext>;
export declare const useNotionContext: () => NotionContext;
